Home Information Classes Download Usage Mail List Requirements Links Tutorial

# DelayL Class Reference

STK linear interpolating delay line class. More...

`#include <DelayL.h>`

Inheritance diagram for DelayL:

List of all members.

## Public Member Functions

| DelayL ()
| Default constructor creates a delay-line with maximum length of 4095 samples and zero delay.
| DelayL (MY_FLOAT theDelay, long maxDelay)
| Overloaded constructor which specifies the current and maximum delay-line lengths.
| ~DelayL ()
| Class destructor.
void | setDelay (MY_FLOAT theDelay)
| Set the delay-line length.
MY_FLOAT | getDelay (void) const
| Return the current delay-line length.
MY_FLOAT | nextOut (void)
| Return the value which will be output by the next call to tick().
MY_FLOAT | tick (MY_FLOAT sample)
| Input one sample to the delay-line and return one output.

## Detailed Description

STK linear interpolating delay line class.

This Delay subclass implements a fractional- length digital delay-line using first-order linear interpolation. A fixed maximum length of 4095 and a delay of zero is set using the default constructor. Alternatively, the delay and maximum length can be set during instantiation with an overloaded constructor.

Linear interpolation is an efficient technique for achieving fractional delay lengths, though it does introduce high-frequency signal attenuation to varying degrees depending on the fractional delay setting. The use of higher order Lagrange interpolators can typically improve (minimize) this attenuation characteristic.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 30 of file DelayL.h.

## Member Function Documentation

void DelayL::setDelay | ( | MY_FLOAT | theDelay | ) |

| Set the delay-line length. The valid range for theDelay is from 0 to the maximum delay-line length.

MY_FLOAT DelayL::nextOut | ( | void |  | ) |

| Return the value which will be output by the next call to tick(). This method is valid only for delay settings greater than zero!

The documentation for this class was generated from the following file:

- DelayL.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.